Bug 1410067 (CVE-2016-10092) - CVE-2016-10092 libtiff: Heap-based buffer overflow in _TIFFFax3fillruns
Summary: CVE-2016-10092 libtiff: Heap-based buffer overflow in _TIFFFax3fillruns
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-10092
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1410123 1410124 1410125
Blocks: 1410122
TreeView+ depends on / blocked
 
Reported: 2017-01-04 11:38 UTC by Adam Mariš
Modified: 2020-02-14 18:25 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-16 06:32:18 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-01-04 11:38:45 UTC
An out-of-bounds heap write was found in _TIFFFax3fillruns when output buffer was not correctly incremented in readContigStripsIntoBuffer() in ignore mode in tiffcrop.c

Upstream patch:

https://github.com/vadz/libtiff/commit/9657bbe3cdce4aaa90e07d50c1c70ae52da0ba6a

Upstream bug:

http://bugzilla.maptools.org/show_bug.cgi?id=2620

CVE assignment:

http://seclists.org/oss-sec/2017/q1/9

Comment 1 Adam Mariš 2017-01-04 14:19:52 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1410123]

Comment 2 Adam Mariš 2017-01-04 14:19:58 UTC
Created mingw-libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1410124]
Affects: epel-7 [bug 1410125]


Note You need to log in before you can comment on or make changes to this bug.